Gatana logoGatana Docs
RoutesProfiles

/profiles

Create a new profile without any MCP servers attached

POST
/profiles
AuthorizationBearer <token>

In: header

Request Body

application/json

name*string

Display name of the profile

Length1 <= length <= 100
description*string

Human-readable description of the profile

Lengthlength <= 500
isOpenToAllUsers*boolean

Whether all users in the tenant can use the profile without an explicit assignment

isRestrictive*boolean

Whether the profile restricts its users to only the servers in the profile; applies even to tenant owners

isCodeModeForced?boolean

Whether MCP sessions that use the profile are forced into code mode

Response Body

application/json

curl -X POST "https://YOUR_ORG_ID.gatana.ai/api/v1/profiles" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string",    "isOpenToAllUsers": true,    "isRestrictive": true  }'
{
  "profile": {
    "tenantId": "string",
    "id": "string",
    "createdBy": "string",
    "name": "string",
    "description": "string",
    "isOpenToAllUsers": true,
    "isRestrictive": true,
    "isCodeModeForced": true,
    "createdAt": "string",
    "updatedAt": "string",
    "servers": [
      {
        "name": "string",
        "slug": "string",
        "authorization": {
          "method": "none",
          "credentialsScope": "server",
          "apikeys": [
            "string"
          ],
          "toolRefreshCredentialPolicy": "server-scoped"
        },
        "credentialsNumKeys": 0,
        "credentialScope": "server",
        "credentials": {
          "id": "string",
          "tenantId": "string",
          "scope": "server",
          "userId": "string",
          "profileId": "string",
          "lastUsedAt": "string",
          "authorizedAt": "string",
          "type": "oauth",
          "createdAt": "string",
          "updatedAt": "string",
          "serverSlug": "string",
          "userEmail": "string",
          "userName": "string",
          "profileName": "string",
          "apikeysPresent": [
            "string"
          ],
          "subject": "string",
          "email": "string"
        }
      }
    ]
  }
}